"""
pollinations.abc

Classes:
    ImageProtocol (abc.ImageProtocol): Image protocol for pollinations.ai
    (deprecated) > TextProtocol (abc.TextProtocol): Text protocol for pollinations.ai

Functions:
    resource(object, deprecated: bool): Decorator for pollinations.ai resources

Variables:
    samples (list): List of sample prompts for the Image model.
    BANNED_WORDS (list): List of banned words for the Image model filter.
"""

from .imageprotocol import ImageProtocol

# from .textprotocol import TextProtocol

proto: str = "https://"
ai: str = ".ai/prompt/"


def resource(deprecated: bool = False):
    def decorator(func):
        func.deprecated: bool = deprecated
        return func

    return decorator


# samples
# BANNED_WORDS

samples = [
    "Cat",
    "Sunset",
    "Tree",
    "Abstract art",
    "Beach landscape",
    "City skyline at night",
    "Vintage car",
    "Mystical forest",
    "Rainy day",
    "Mountain peak",
    "Underwater world",
    "Family portrait",
    "Space exploration",
    "Dreamy clouds",
    "Autumn foliage",
    "Urban street scene",
    "Ancient ruins",
    "Endless desert",
    "Tropical paradise",
    "Fantasy castle",
    "Abstract patterns",
    "Ocean waves",
    "Garden flowers",
    "Fireworks display",
    "Snowy mountain range",
    "Wildlife safari",
    "Futuristic cityscape",
    "Countryside farmhouse",
    "Waterfall in the jungle",
    "Still life with fruits",
    "Industrial machinery",
    "Magical fairy tale",
    "Sports action shot",
    "Haunted house",
    "Vintage portrait",
    "Nighttime city traffic",
    "Majestic eagle",
    "Rainbow over a meadow",
    "Steampunk-inspired scene",
    "Cute puppies and kittens",
    "Abstract geometric shapes",
    "Artificial intelligence",
    "Dramatic storm clouds",
    "Historical landmarks",
    "Colorful hot air balloons",
    "Rural farm landscape",
    "Reflections on water",
    "Gloomy cemetery",
    "Astronaut in space",
    "Abstract surrealism",
    "Starry night sky",
    "Serene lakeside view",
    "Vibrant city market",
    "Rustic country barn",
    "Enchanted forest pathway",
    "Majestic waterfall",
    "Whimsical fairytale cottage",
    "Dramatic thunderstorm",
    "Tropical island getaway",
    "Abstract mixed media",
    "Ancient temple ruins",
    "Tranquil river scene",
    "Playful dolphins in the ocean",
    "Dynamic urban graffiti",
    "Peaceful zen garden",
    "Cozy winter cabin",
    "Vibrant floral still life",
    "Exotic bird of paradise",
    "Futuristic spaceship interior",
    "Lush green meadow",
    "Charming seaside",
    "Space exploration",
    "Dreamy clouds",
    "Autumn foliage",
    "Urban street scene",
    "Ancient ruins",
    "Endless desert",
    "Tropical paradise",
    "Fantasy castle",
    "Abstract patterns",
    "Ocean waves",
    "Garden flowers",
    "Fireworks display",
    "Snowy mountain range",
    "Wildlife safari",
    "Futuristic cityscape",
    "Countryside farmhouse",
    "Waterfall in the jungle",
    "Still life with fruits",
    "Industrial machinery",
    "Magical fairy tale",
    "Sports action shot",
    "Haunted house",
    "Vintage portrait",
    "Nighttime city traffic",
    "Majestic eagle",
    "Rainbow over a meadow",
    "Steampunk-inspired scene",
    "Cute puppies and kittens",
    "Abstract geometric shapes",
    "Artificial intelligence",
    "Dramatic storm clouds",
    "Historical landmarks",
    "Colorful hot air balloons",
    "Rural farm landscape",
    "Reflections on water",
    "Gloomy cemetery",
    "Astronaut in space",
    "Abstract surrealism",
    "Starry night sky",
    "Serene lakeside view",
    "Vibrant city market",
    "Rustic country barn",
    "Enchanted forest pathway",
    "Majestic waterfall",
    "Whimsical fairytale cottage",
    "Dramatic thunderstorm",
    "Tropical island getaway",
    "Abstract mixed media",
    "Ancient temple ruins",
    "Tranquil river scene",
    "Playful dolphins in the ocean",
    "Dynamic urban graffiti",
    "Peaceful zen garden",
    "Cozy winter cabin",
    "Vibrant floral still life",
    "Exotic bird of paradise",
    "Futuristic spaceship interior",
    "Lush green meadow",
    "Charming seaside",
    "Sunflower field",
    "Misty morning landscape",
    "Abstract expressionism",
    "Rugged mountain terrain",
    "Enigmatic black and white",
    "Tropical rainforest",
    "Surreal dream sequence",
    "Vintage cityscape",
    "Whale underwater",
    "Festive holiday scene",
    "Vibrant butterfly collection",
    "Majestic lion portrait",
    "Cosmic galaxy",
    "Rural vineyard",
    "Abstract minimalism",
    "Golden sunset",
    "Architectural marvel",
    "Mysterious foggy forest",
    "Underground subway station",
    "Delicate flower petals",
    "Urban skateboarding culture",
    "Majestic snowy owl",
    "Abstract cubism",
    "Sailing boat on open water",
    "Bustling marketplace",
    "Vivid autumn colors",
    "Majestic horse running",
    "Abstract fluid art",
    "Aerial view of city lights",
    "Peaceful lakeside cabin",
    "Diverse multicultural community",
    "Mesmerizing light trails",
    "Whimsical hot air balloon festival",
    "Vintage vinyl record collection",
    "Urban parkour stunts",
    "Mystical mermaid underwater",
    "Abstract pop art",
    "Cascading waterfall",
    "Rural wheat field",
    "Abstract digital landscape",
    "Sunrise over the mountains",
    "Dynamic breakdancing performance",
    "Majestic castle on a hill",
    "Abstract collage",
    "Serenity of a bonsai tree",
    "Urban exploration of abandoned buildings",
    "Colorful macaw parrot",
    "Ancient hieroglyphs",
    "Abstract surreal portrait",
    "Picturesque lighthouse",
    "Cosmic nebula",
    "Vintage retro fashion",
    "Peaceful countryside cottage",
    "Abstract kinetic sculpture",
    "Majestic white tiger",
    "Street art murals",
    "Rustic wooden bridge",
    "Abstract fractal patterns",
    "Horseback riding on the beach",
    "Enchanting moonlit night",
    "Lively summer music festival",
    "Abstract wireframe architecture",
    "Vibrant autumn harvest",
    "Spectacular aerial fireworks",
    "Mystical dragon in flight",
    "Abstract neon lights",
    "Antique pocket watch",
    "Urban city cycling",
    "Majestic ancient oak tree",
    "Abstract impressionism",
    "Dynamic roller coaster ride",
    "Peaceful riverside picnic",
    "Whimsical circus performance",
    "Abstract origami sculpture",
    "Picturesque countryside windmill",
    "Tropical island hammock retreat",
    "Abstract calligraphy",
    "Serene waterfall oasis",
    "Vibrant Indian street market",
]

BANNED_WORDS: list = [
    "girls 1 cup",
    "2g1c",
    "4r5e",
    "5h1t",
    "5hit",
    "a$$",
    "a$$hole",
    "a_s_s",
    "a2m",
    "a54",
    "a55",
    "a55hole",
    "aeolus",
    "ahole",
    "alabama hot pocket",
    "alaskan pipeline",
    "anal",
    "anal impaler",
    "anal leakage",
    "analannie",
    "analprobe",
    "analsex",
    "anilingus",
    "anus",
    "apeshit",
    "ar5e",
    "areola",
    "areole",
    "arian",
    "arrse",
    "arse",
    "arsehole",
    "aryan",
    "ass",
    "ass fuck",
    "ass hole",
    "assault",
    "assbag",
    "assbagger",
    "assbandit",
    "assbang",
    "assbanged",
    "assbanger",
    "assbangs",
    "assbite",
    "assblaster",
    "assclown",
    "asscock",
    "asscracker",
    "asses",
    "assface",
    "assfaces",
    "assfuck",
    "assfucker",
    "ass-fucker",
    "assfukka",
    "assgoblin",
    "assh0le",
    "asshat",
    "ass-hat",
    "asshead",
    "assho1e",
    "asshole",
    "assholes",
    "asshopper",
    "asshore",
    "ass-jabber",
    "assjacker",
    "assjockey",
    "asskiss",
    "asskisser",
    "assklown",
    "asslick",
    "asslicker",
    "asslover",
    "assman",
    "assmaster",
    "assmonkey",
    "assmucus",
    "assmunch",
    "assmuncher",
    "assnigger",
    "asspacker",
    "asspirate",
    "ass-pirate",
    "asspuppies",
    "assranger",
    "assshit",
    "assshole",
    "asssucker",
    "asswad",
    "asswhole",
    "asswhore",
    "asswipe",
    "asswipes",
    "auto erotic",
    "autoerotic",
    "axwound",
    "azazel",
    "azz",
    "b!tch",
    "b00bs",
    "b17ch",
    "b1tch",
    "babe",
    "babeland",
    "babes",
    "baby batter",
    "baby juice",
    "badfuck",
    "ball gag",
    "ball gravy",
    "ball kicking",
    "ball licking",
    "ball sack",
    "ball sucking",
    "ballbag",
    "balllicker",
    "ballsack",
    "bampot",
    "bangbros",
    "banger",
    "banging",
    "bareback",
    "barely legal",
    "barenaked",
    "barf",
    "barface",
    "barfface",
    "bastard",
    "bastardo",
    "bastards",
    "bastinado",
    "batty boy",
    "bawdy",
    "bazongas",
    "bazooms",
    "bbw",
    "bdsm",
    "beaner",
    "beaners",
    "beardedclam",
    "beastial",
    "beastiality",
    "beatyourmeat",
    "beaver cleaver",
    "beaver lips",
    "beef curtain",
    "beef curtains",
    "beeyotch",
    "bellend",
    "beotch",
    "bestial",
    "bestiality",
    "bi+ch",
    "biatch",
    "bicurious",
    "big black",
    "big breasts",
    "big knockers",
    "big tits",
    "bigbastard",
    "bigbutt",
    "bigger",
    "bigtits",
    "bimbo",
    "bimbos",
    "bint",
    "birdlock",
    "bisexual",
    "bi-sexual",
    "bitch",
    "bitch tit",
    "bitchass",
    "bitched",
    "bitcher",
    "bitchers",
    "bitches",
    "bitchez",
    "bitchin",
    "bitching",
    "bitchtits",
    "bitchy",
    "black cock",
    "blonde action",
    "blonde on blonde action",
    "bloodclaat",
    "bloody hell",
    "blow job",
    "blow me",
    "blow mud",
    "blow your load",
    "blowjob",
    "blowjobs",
    "blue waffle",
    "blumpkin",
    "boang",
    "bodily",
    "bogan",
    "bohunk",
    "boink",
    "boiolas",
    "bollick",
    "bollock",
    "bollocks",
    "bollok",
    "bollox",
    "bomd",
    "bondage",
    "boned",
    "boner",
    "boners",
    "bong",
    "boob",
    "boobies",
    "boobs",
    "booby",
    "booger",
    "bookie",
    "boong",
    "boonga",
    "booobs",
    "boooobs",
    "booooobs",
    "booooooobs",
    "bootee",
    "bootie",
    "booty",
    "booty call",
    "booze",
    "boozer",
    "boozy",
    "bosom",
    "bosomy",
    "bowel",
    "bowels",
    "bra",
    "brassiere",
    "breast",
    "breastjob",
    "breastlover",
    "breastman",
    "breasts",
    "breeder",
    "brotherfucker",
    "brown showers",
    "brunette action",
    "buceta",
    "bugger",
    "buggered",
    "buggery",
    "bukkake",
    "bull shit",
    "bullcrap",
    "bulldike",
    "bulldyke",
    "bullet vibe",
    "bullshit",
    "bullshits",
    "bullshitted",
    "bullturds",
    "bum",
    "bum boy",
    "bumblefuck",
    "bumclat",
    "bumfuck",
    "bummer",
    "bung",
    "bung hole",
    "bunga",
    "bunghole",
    "bunny fucker",
    "bust a load",
    "busty",
    "butchdike",
    "butchdyke",
    "butt",
    "butt fuck",
    "butt plug",
    "buttbang",
    "butt-bang",
    "buttcheeks",
    "buttface",
    "buttfuck",
    "butt-fuck",
    "buttfucka",
    "buttfucker",
    "butt-fucker",
    "butthead",
    "butthole",
    "buttman",
    "buttmuch",
    "buttmunch",
    "buttmuncher",
    "butt-pirate",
    "buttplug",
    "c.0.c.k",
    "c.o.c.k.",
    "c.u.n.t",
    "c0ck",
    "c-0-c-k",
    "c0cksucker",
    "caca",
    "cahone",
    "camel toe",
    "cameltoe",
    "camgirl",
    "camslut",
    "camwhore",
    "carpet muncher",
    "carpetmuncher",
    "cawk",
    "cervix",
    "chesticle",
    "chi-chi man",
    "chick with a dick",
    "child-fucker",
    "chinc",
    "chincs",
    "chink",
    "chinky",
    "choad",
    "choade",
    "choc ice",
    "chocolate rosebuds",
    "chode",
    "chodes",
    "chota bags",
    "cipa",
    "circlejerk",
    "cl1t",
    "cleveland steamer",
    "climax",
    "clit",
    "clit licker",
    "clitface",
    "clitfuck",
    "clitoris",
    "clitorus",
    "clits",
    "clitty",
    "clitty litter",
    "clogwog",
    "clover clamps",
    "clunge",
    "clusterfuck",
    "cnut",
    "cocain",
    "cocaine",
    "cock",
    "c-o-c-k",
    "cock pocket",
    "cock snot",
    "cock sucker",
    "cockass",
    "cockbite",
    "cockblock",
    "cockburger",
    "cockeye",
    "cockface",
    "cockfucker",
    "cockhead",
    "cockholster",
    "cockjockey",
    "cockknocker",
    "cockknoker",
    "cocklicker",
    "cocklover",
    "cocklump",
    "cockmaster",
    "cockmongler",
    "cockmongruel",
    "cockmonkey",
    "cockmunch",
    "cockmuncher",
    "cocknose",
    "cocknugget",
    "cocks",
    "cockshit",
    "cocksmith",
    "cocksmoke",
    "cocksmoker",
    "cocksniffer",
    "cocksucer",
    "cocksuck",
    "cocksuck ",
    "cocksucked",
    "cocksucker",
    "cock-sucker",
    "cocksuckers",
    "cocksucking",
    "cocksucks",
    "cocksuka",
    "cocksukka",
    "cockwaffle",
    "coffin dodger",
    "coital",
    "cokmuncher",
    "coksucka",
    "commie",
    "condom",
    "coochie",
    "coochy",
    "coon",
    "coonnass",
    "coons",
    "cooter",
    "cop some wood",
    "coprolagnia",
    "coprophilia",
    "corksucker",
    "cornhole",
    "corp whore",
    "crabs",
    "crack",
    "cracker",
    "crackwhore",
    "crack-whore",
    "crap",
    "crappy",
    "creampie",
    "cretin",
    "crikey",
    "cripple",
    "crotte",
    "cum",
    "cum chugger",
    "cum dumpster",
    "cum freak",
    "cum guzzler",
    "cumbubble",
    "cumdump",
    "cumdumpster",
    "cumguzzler",
    "cumjockey",
    "cummer",
    "cummin",
    "cumming",
    "cums",
    "cumshot",
    "cumshots",
    "cumslut",
    "cumstain",
    "cumtart",
    "cunilingus",
    "cunillingus",
    "cunn",
    "cunnie",
    "cunnilingus",
    "cunntt",
    "cunny",
    "cunt",
    "c-u-n-t",
    "cunt hair",
    "cuntass",
    "cuntbag",
    "cuntface",
    "cuntfuck",
    "cuntfucker",
    "cunthole",
    "cunthunter",
    "cuntlick",
    "cuntlick ",
    "cuntlicker",
    "cuntlicker ",
    "cuntlicking",
    "cuntrag",
    "cunts",
    "cuntsicle",
    "cuntslut",
    "cunt-struck",
    "cuntsucker",
    "cut rope",
    "cyalis",
    "cyberfuc",
    "cyberfuck",
    "cyberfucked",
    "cyberfucker",
    "cyberfuckers",
    "cyberfucking",
    "cybersex",
    "d0ng",
    "d0uch3",
    "d0uche",
    "d1ck",
    "d1ld0",
    "d1ldo",
    "dago",
    "dagos",
    "dammit",
    "damn",
    "damned",
    "damnit",
    "darkie",
    "darn",
    "date rape",
    "daterape",
    "dawgie-style",
    "deep throat",
    "deepthroat",
    "deggo",
    "dendrophilia",
    "dick",
    "dick head",
    "dick hole",
    "dick shy",
    "dickbag",
    "dickbeaters",
    "dickbrain",
    "dickdipper",
    "dickface",
    "dickflipper",
    "dickfuck",
    "dickfucker",
    "dickhead",
    "dickheads",
    "dickhole",
    "dickish",
    "dick-ish",
    "dickjuice",
    "dickmilk",
    "dickmonger",
    "dickripper",
    "dicks",
    "dicksipper",
    "dickslap",
    "dick-sneeze",
    "dicksucker",
    "dicksucking",
    "dicktickler",
    "dickwad",
    "dickweasel",
    "dickweed",
    "dickwhipper",
    "dickwod",
    "dickzipper",
    "diddle",
    "dike",
    "dildo",
    "dildos",
    "diligaf",
    "dillweed",
    "dimwit",
    "dingleberries",
    "dingleberry",
    "dink",
    "dinks",
    "dipship",
    "dipshit",
    "dirsa",
    "dirty pillows",
    "dirty sanchez",
    "dlck",
    "dog style",
    "dog-fucker",
    "doggie style",
    "doggiestyle",
    "doggie-style",
    "doggin",
    "dogging",
    "doggy style",
    "doggystyle",
    "doggy-style",
    "dolcett",
    "domination",
    "dominatrix",
    "dommes",
    "dong",
    "donkey punch",
    "donkeypunch",
    "donkeyribber",
    "doochbag",
    "dookie",
    "doosh",
    "dopey",
    "double dong",
    "double penetration",
    "doublelift",
    "douch3",
    "douche",
    "douchebag",
    "douchebags",
    "douche-fag",
    "douchewaffle",
    "douchey",
    "dp action",
    "drunk",
    "dry hump",
    "duche",
    "dumass",
    "dumb ass",
    "dumbass",
    "dumbasses",
    "dumbcunt",
    "dumbfuck",
    "dumbshit",
    "dummy",
    "dumshit",
    "dvda",
    "dyke",
    "dykes",
    "eat a dick",
    "eat hair pie",
    "eat my ass",
    "eatpussy",
    "ecchi",
    "ejaculate",
    "ejaculated",
    "ejaculates",
    "ejaculating",
    "ejaculatings",
    "ejaculation",
    "ejakulate",
    "enlargement",
    "erect",
    "erection",
    "erotic",
    "erotism",
    "essohbee",
    "eunuch",
    "extacy",
    "extasy",
    "f u c k",
    "f u c k e r",
    "f.u.c.k",
    "f_u_c_k",
    "f4nny",
    "facefucker",
    "facial",
    "fack",
    "fag",
    "fagbag",
    "fagfucker",
    "fagg",
    "fagged",
    "fagging",
    "faggit",
    "faggitt",
    "faggot",
    "faggotcock",
    "faggots",
    "faggs",
    "fagot",
    "fagots",
    "fags",
    "fagtard",
    "faig",
    "faigt",
    "fanny",
    "fannybandit",
    "fannyflaps",
    "fannyfucker",
    "fanyy",
    "fartknocker",
    "fastfuck",
    "fatass",
    "fatfuck",
    "fatfucker",
    "fcuk",
    "fcuker",
    "fcuking",
    "fecal",
    "feck",
    "fecker",
    "felch",
    "felcher",
    "felching",
    "fellate",
    "fellatio",
    "feltch",
    "feltcher",
    "female squirting",
    "femdom",
    "fenian",
    "figging",
    "fingerbang",
    "fingerfuck",
    "fingerfuck ",
    "fingerfucked",
    "fingerfucker",
    "fingerfucker ",
    "fingerfuckers",
    "fingerfucking",
    "fingerfucks",
    "fingering",
    "fist fuck",
    "fisted",
    "fistfuck",
    "fistfucked",
    "fistfucker",
    "fistfucker ",
    "fistfuckers",
    "fistfucking",
    "fistfuckings",
    "fistfucks",
    "fisting",
    "fisty",
    "flange",
    "flaps",
    "fleshflute",
    "flog the log",
    "floozy",
    "foad",
    "foah",
    "fondle",
    "foobar",
    "fook",
    "fooker",
    "foot fetish",
    "footfuck",
    "footfucker",
    "footjob",
    "footlicker",
    "foreskin",
    "freakfuck",
    "freakyfucker",
    "freefuck",
    "freex",
    "frigg",
    "frigga",
    "frotting",
    "fubar",
    "fuc",
    "fuck",
    "f-u-c-k",
    "fuck buttons",
    "fuck hole",
    "fuck off",
    "fuck puppet",
    "fuck trophy",
    "fuck yo mama",
    "fuck you",
    "fucka",
    "fuckass",
    "fuck-ass",
    "fuckbag",
    "fuck-bitch",
    "fuckboy",
    "fuckbrain",
    "fuckbutt",
    "fuckbutter",
    "fucked",
    "fuckedup",
    "fucker",
    "fuckers",
    "fuckersucker",
    "fuckface",
    "fuckfreak",
    "fuckhead",
    "fuckheads",
    "fuckher",
    "fuckhole",
    "fuckin",
    "fucking",
    "fuckingbitch",
    "fuckings",
    "fuckingshitmotherfucker",
    "fuckme",
    "fuckme ",
    "fuckmeat",
    "fuckmehard",
    "fuckmonkey",
    "fucknugget",
    "fucknut",
    "fucknutt",
    "fuckoff",
    "fucks",
    "fuckstick",
    "fucktard",
    "fuck-tard",
    "fucktards",
    "fucktart",
    "fucktoy",
    "fucktwat",
    "fuckup",
    "fuckwad",
    "fuckwhit",
    "fuckwhore",
    "fuckwit",
    "fuckwitt",
    "fuckyou",
    "fudge packer",
    "fudgepacker",
    "fudge-packer",
    "fuk",
    "fuker",
    "fukker",
    "fukkers",
    "fukkin",
    "fuks",
    "fukwhit",
    "fukwit",
    "fuq",
    "futanari",
    "fux",
    "fux0r",
    "fvck",
    "fxck",
    "gae",
    "gai",
    "gang bang",
    "gangbang",
    "gang-bang",
    "gangbanged",
    "gangbangs",
    "ganja",
    "gassy ass",
    "gay sex",
    "gayass",
    "gaybob",
    "gaydo",
    "gayfuck",
    "gayfuckist",
    "gaylord",
    "gays",
    "gaysex",
    "gaytard",
    "gaywad",
    "gender bender",
    "genitals",
    "gey",
    "gfy",
    "ghay",
    "ghey",
    "giant cock",
    "gigolo",
    "ginger",
    "gippo",
    "girl on",
    "girl on top",
    "girls gone wild",
    "git",
    "glans",
    "goatcx",
    "goatse",
    "god damn",
    "godamn",
    "godamnit",
    "goddam",
    "god-dam",
    "goddammit",
    "goddamn",
    "goddamned",
    "god-damned",
    "goddamnit",
    "goddamnmuthafucker",
    "godsdamn",
    "gokkun",
    "golden shower",
    "goldenshower",
    "golliwog",
    "gonad",
    "gonads",
    "gonorrehea",
    "goo girl",
    "gooch",
    "goodpoop",
    "gook",
    "gooks",
    "goregasm",
    "gotohell",
    "gringo",
    "grope",
    "group sex",
    "gspot",
    "g-spot",
    "gtfo",
    "guro",
    "h0m0",
    "h0mo",
    "ham flap",
    "hand job",
    "handjob",
    "hard core",
    "hard on",
    "hardcore",
    "hardcoresex",
    "headfuck",
    "hebe",
    "heeb",
    "hemp",
    "hentai",
    "heroin",
    "herp",
    "herpes",
    "herpy",
    "heshe",
    "he-she",
    "hitler",
    "hiv",
    "ho",
    "hoar",
    "hoare",
    "hobag",
    "hoe",
    "hoer",
    "holy shit",
    "hom0",
    "homey",
    "homo",
    "homodumbshit",
    "homoerotic",
    "homoey",
    "honkey",
    "honky",
    "hooch",
    "hookah",
    "hooker",
    "hoor",
    "hootch",
    "hooter",
    "hooters",
    "hore",
    "horniest",
    "horny",
    "hot carl",
    "hot chick",
    "hotpussy",
    "hotsex",
    "how to kill",
    "how to murdep",
    "how to murder",
    "huge fat",
    "hump",
    "humped",
    "humping",
    "hun",
    "hussy",
    "hymen",
    "iap",
    "iberian slap",
    "inbred",
    "incest",
    "injun",
    "intercourse",
    "j3rk0ff",
    "jack off",
    "jackass",
    "jackasses",
    "jackhole",
    "jackoff",
    "jack-off",
    "jaggi",
    "jagoff",
    "jail bait",
    "jailbait",
    "jap",
    "japs",
    "jelly donut",
    "jerk",
    "jerk off",
    "jerk0ff",
    "jerkass",
    "jerked",
    "jerkoff",
    "jerk-off",
    "jigaboo",
    "jiggaboo",
    "jiggerboo",
    "jism",
    "jiz",
    "jizm",
    "jizz",
    "jizzed",
    "juggs",
    "jungle bunny",
    "junglebunny",
    "junkie",
    "junky",
    "kafir",
    "kawk",
    "kike",
    "kikes",
    "kill",
    "kinbaku",
    "kinkster",
    "kinky",
    "kkk",
    "klan",
    "knob end",
    "knobbing",
    "knobead",
    "knobed",
    "knobend",
    "knobhead",
    "knobjocky",
    "knobjokey",
    "kock",
    "kondum",
    "kondums",
    "kooch",
    "kooches",
    "kootch",
    "kraut",
    "kum",
    "kummer",
    "kumming",
    "kums",
    "kunilingus",
    "kunja",
    "kunt",
    "kwif",
    "kyke",
    "l3i+ch",
    "l3itch",
    "labia",
    "lameass",
    "lardass",
    "leather restraint",
    "leather straight jacket",
    "lech",
    "lemon party",
    "leper",
    "lesbian",
    "lesbians",
    "lesbo",
    "lesbos",
    "lez",
    "lezbian",
    "lezbians",
    "lezbo",
    "lezbos",
    "lezza",
    "lezzie",
    "lezzies",
    "lezzy",
    "loin",
    "loins",
    "lolita",
    "looney",
    "lovemaking",
    "lube",
    "lust",
    "lusting",
    "lusty",
    "m0f0",
    "m0fo",
    "m45terbate",
    "ma5terb8",
    "ma5terbate",
    "mafugly",
    "make me come",
    "male squirting",
    "mams",
    "masochist",
    "massa",
    "masterb8",
    "masterbat",
    "masterbat3",
    "masterbate",
    "master-bate",
    "masterbating",
    "masterbation",
    "masterbations",
    "masturbate",
    "masturbating",
    "masturbation",
    "mcfagget",
    "menage a trois",
    "menses",
    "menstruate",
    "menstruation",
    "meth",
    "m-fucking",
    "middle finger",
    "midget",
    "milf",
    "minge",
    "minger",
    "missionary position",
    "mof0",
    "mofo",
    "mo-fo",
    "molest",
    "mong",
    "moo moo foo foo",
    "moolie",
    "moron",
    "mothafuck",
    "mothafucka",
    "mothafuckas",
    "mothafuckaz",
    "mothafucked",
    "mothafucker",
    "mothafuckers",
    "mothafuckin",
    "mothafucking",
    "mothafuckings",
    "mothafucks",
    "mother fucker",
    "motherfuck",
    "motherfucka",
    "motherfucked",
    "motherfucker",
    "motherfuckers",
    "motherfuckin",
    "motherfucking",
    "motherfuckings",
    "motherfuckka",
    "motherfucks",
    "mound of venus",
    "mtherfucker",
    "mthrfucker",
    "mthrfucking",
    "muff",
    "muff diver",
    "muff puff",
    "muffdiver",
    "muffdiving",
    "munging",
    "munter",
    "murder",
    "mutha",
    "muthafecker",
    "muthafuckaz",
    "muthafuckker",
    "muther",
    "mutherfucker",
    "mutherfucking",
    "muthrfucking",
    "n1gga",
    "n1gger",
    "nad",
    "nads",
    "naked",
    "nambla",
    "napalm",
    "nappy",
    "nawashi",
    "nazi",
    "nazism",
    "need the dick",
    "negro",
    "neonazi",
    "nig nog",
    "nigaboo",
    "nigg3r",
    "nigg4h",
    "nigga",
    "niggah",
    "niggas",
    "niggaz",
    "nigger",
    "niggers",
    "niggle",
    "niglet",
    "nig-nog",
    "nimphomania",
    "nimrod",
    "ninny",
    "nipple",
    "nipples",
    "nob",
    "nob jokey",
    "nobhead",
    "nobjocky",
    "nobjokey",
    "nonce",
    "nooky",
    "nsfw images",
    "nude",
    "nudity",
    "numbnuts",
    "nut butter",
    "nut sack",
    "nutsack",
    "nympho",
    "nymphomania",
    "octopussy",
    "old bag",
    "omorashi",
    "one cup two girls",
    "one guy one jar",
    "opiate",
    "opium",
    "oral",
    "orally",
    "organ",
    "orgasim",
    "orgasims",
    "orgasm",
    "orgasmic",
    "orgasms",
    "orgies",
    "orgy",
    "ovary",
    "ovum",
    "ovums",
    "p.u.s.s.y.",
    "p0rn",
    "paddy",
    "paedophile",
    "paki",
    "panooch",
    "pansy",
    "pantie",
    "panties",
    "panty",
    "pastie",
    "pasty",
    "pcp",
    "peckerhead",
    "pedo",
    "pedobear",
    "pedophile",
    "pedophilia",
    "pedophiliac",
    "pee",
    "peepee",
    "pegging",
    "penetrate",
    "penetration",
    "penial",
    "penile",
    "penis",
    "penisbanger",
    "penisfucker",
    "penispuffer",
    "perversion",
    "peyote",
    "phalli",
    "phallic",
    "phone sex",
    "phonesex",
    "phuck",
    "phuk",
    "phuked",
    "phuking",
    "phukked",
    "phukking",
    "phuks",
    "phuq",
    "piece of shit",
    "pigfucker",
    "pikey",
    "pillowbiter",
    "pimp",
    "pimpis",
    "pinko",
    "piss",
    "piss off",
    "piss pig",
    "pissed",
    "pissed off",
    "pisser",
    "pissers",
    "pisses",
    "pissflaps",
    "pissin",
    "pissing",
    "pissoff",
    "piss-off",
    "pisspig",
    "playboy",
    "pleasure chest",
    "pms",
    "polack",
    "pole smoker",
    "polesmoker",
    "pollock",
    "ponyplay",
    "poof",
    "poon",
    "poonani",
    "poonany",
    "poontang",
    "poop chute",
    "poopchute",
    "poopuncher",
    "porch monkey",
    "porchmonkey",
    "porn",
    "porno",
    "pornography",
    "pornos",
    "pot",
    "potty",
    "prick",
    "pricks",
    "prickteaser",
    "prig",
    "prince albert piercing",
    "prod",
    "pron",
    "prostitute",
    "prude",
    "psycho",
    "pthc",
    "pube",
    "pubes",
    "pubic",
    "pubis",
    "punani",
    "punanny",
    "punany",
    "punkass",
    "punky",
    "punta",
    "puss",
    "pusse",
    "pussi",
    "pussies",
    "pussy",
    "pussy fart",
    "pussy palace",
    "pussylicking",
    "pussypounder",
    "pussys",
    "pust",
    "puto",
    "queaf",
    "queef",
    "queer",
    "queerbait",
    "queerhole",
    "queero",
    "queers",
    "quicky",
    "quim",
    "racy",
    "raghead",
    "raging boner",
    "rape",
    "raped",
    "raper",
    "rapey",
    "raping",
    "rapist",
    "raunch",
    "rectal",
    "rectum",
    "rectus",
    "reefer",
    "reetard",
    "reich",
    "renob",
    "retard",
    "retarded",
    "reverse cowgirl",
    "revue",
    "rimjaw",
    "rimjob",
    "rimming",
    "ritard",
    "rosy palm",
    "rosy palm and her 5 sisters",
    "rtard",
    "r-tard",
    "rubbish",
    "rump",
    "rumprammer",
    "ruski",
    "rusty trombone",
    "s hit",
    "s&m",
    "s.h.i.t.",
    "s.o.b.",
    "s_h_i_t",
    "s0b",
    "sadism",
    "sadist",
    "sambo",
    "sand nigger",
    "sandbar",
    "sandler",
    "sandnigger",
    "sanger",
    "santorum",
    "sausage queen",
    "scag",
    "scantily",
    "scat",
    "schizo",
    "schlong",
    "scissoring",
    "screw",
    "screwed",
    "screwing",
    "scroat",
    "scrog",
    "scrot",
    "scrote",
    "scrotum",
    "scrud",
    "scum",
    "seaman",
    "seamen",
    "seduce",
    "seks",
    "semen",
    "sex",
    "sexo",
    "sexual",
    "sexy",
    "sh!+",
    "sh!t",
    "sh1t",
    "s-h-1-t",
    "shag",
    "shagger",
    "shaggin",
    "shagging",
    "shamedame",
    "shaved beaver",
    "shaved pussy",
    "shemale",
    "shi+",
    "shibari",
    "shirt lifter",
    "shit",
    "s-h-i-t",
    "shit ass",
    "shit fucker",
    "shitass",
    "shitbag",
    "shitbagger",
    "shitblimp",
    "shitbrains",
    "shitbreath",
    "shitcanned",
    "shitcunt",
    "shitdick",
    "shite",
    "shiteater",
    "shited",
    "shitey",
    "shitface",
    "shitfaced",
    "shitfuck",
    "shitfull",
    "shithead",
    "shitheads",
    "shithole",
    "shithouse",
    "shiting",
    "shitings",
    "shits",
    "shitspitter",
    "shitstain",
    "shitt",
    "shitted",
    "shitter",
    "shitters",
    "shittier",
    "shittiest",
    "shitting",
    "shittings",
    "shitty",
    "shiz",
    "shiznit",
    "shota",
    "shrimping",
    "skag",
    "skank",
    "skeet",
    "skullfuck",
    "slag",
    "slanteye",
    "slave",
    "sleaze",
    "sleazy",
    "slope",
    "slut",
    "slut bucket",
    "slutbag",
    "slutdumper",
    "slutkiss",
    "sluts",
    "smartass",
    "smartasses",
    "smeg",
    "smegma",
    "smut",
    "smutty",
    "snatch",
    "sniper",
    "snowballing",
    "snuff",
    "s-o-b",
    "sod off",
    "sodom",
    "sodomize",
    "sodomy",
    "son of a bitch",
    "son of a motherless goat",
    "son of a whore",
    "son-of-a-bitch",
    "souse",
    "soused",
    "spac",
    "spade",
    "sperm",
    "spic",
    "spick",
    "spik",
    "spiks",
    "splooge",
    "splooge moose",
    "spooge",
    "spook",
    "spread legs",
    "spunk",
    "stfu",
    "stiffy",
    "strap on",
    "strapon",
    "strappado",
    "strip",
    "strip club",
    "stroke",
    "stupid",
    "style doggy",
    "suckass",
    "sucked",
    "sucking",
    "suicide girls",
    "sultry women",
    "sumofabiatch",
    "swastika",
    "swinger",
    "t1t",
    "t1tt1e5",
    "t1tties",
    "taff",
    "taig",
    "tainted love",
    "taking the piss",
    "tampon",
    "tard",
    "tart",
    "taste my",
    "tawdry",
    "tea bagging",
    "teabagging",
    "teat",
    "teets",
    "teez",
    "terd",
    "teste",
    "testee",
    "testes",
    "testical",
    "testicle",
    "testis",
    "threesome",
    "throating",
    "thug",
    "thundercunt",
    "tied up",
    "tight white",
    "tit",
    "tit wank",
    "titfuck",
    "titi",
    "tities",
    "tits",
    "titt",
    "tittie5",
    "tittiefucker",
    "titties",
    "titty",
    "tittyfuck",
    "tittyfucker",
    "tittywank",
    "titwank",
    "toke",
    "tongue in a",
    "toots",
    "topless",
    "tosser",
    "towelhead",
    "tramp",
    "tranny",
    "transsexual",
    "trashy",
    "tribadism",
    "trumped",
    "tub girl",
    "tubgirl",
    "turd",
    "tush",
    "tushy",
    "tw4t",
    "twat",
    "twathead",
    "twatlips",
    "twats",
    "twatty",
    "twatwaffle",
    "twink",
    "twinkie",
    "two fingers",
    "two fingers with tongue",
    "two girls one cup",
    "twunt",
    "twunter",
    "ugly",
    "unclefucker",
    "undies",
    "undressing",
    "unwed",
    "upskirt",
    "urethra play",
    "urinal",
    "urine",
    "urophilia",
    "uterus",
    "uzi",
    "v14gra",
    "v1gra",
    "vag",
    "vagina",
    "vajayjay",
    "va-j-j",
    "valium",
    "venus mound",
    "veqtable",
    "viagra",
    "vibrator",
    "violet wand",
    "virgin",
    "vixen",
    "vjayjay",
    "vorarephilia",
    "voyeur",
    "vulgar",
    "vulva",
    "w00se",
    "wad",
    "wang",
    "wank",
    "wanker",
    "wankjob",
    "wanky",
    "wazoo",
    "weed",
    "weenie",
    "weewee",
    "weiner",
    "wet dream",
    "wetback",
    "wh0re",
    "wh0reface",
    "white power",
    "whitey",
    "whiz",
    "whoar",
    "whoralicious",
    "whore",
    "whorealicious",
    "whorebag",
    "whored",
    "whoreface",
    "whorehopper",
    "whorehouse",
    "whores",
    "whoring",
    "wigger",
    "willies",
    "willy",
    "window licker",
    "wiseass",
    "wiseasses",
    "wog",
    "womb",
    "wop",
    "wrapping men",
    "wrinkled starfish",
    "wtf",
    "xrated",
    "x-rated",
    "xx",
    "xxx",
    "yaoi",
    "yeasty",
    "yellow showers",
    "yid",
    "yiffy",
    "yobbo",
    "zoophile",
    "zoophilia2 girls 1 cup",
]
